#include <iostream>
#include <vector>
using namespace std;
using LL = long long;

const LL M = 1e7 + 1;

int p[M]; ///   ,
          /// p[x] - -    x
vector<int> primes; ///   -  M

void gen_primes(int n)
{ for(int i=2; i<n; i++)
    if(p[i]==0)
    { primes.push_back(i);
      p[i]=i;
      if((LL)i*i < n)
        for(int j=i*i; j<n; j=j+i)
          if(p[j]==0) p[j]=i;
    }
}

LL least_prime_factor(LL x)
{ if(x<M) return p[x];
  for(LL d:primes)
  { if(x%d==0) return d;
    if(d*d>x) return x;
  }
  return x;
}

vector<LL> prime_factors(LL x)
{ vector<LL> f;
  while(x>1)
  { LL d = least_prime_factor(x);
    while(x%d==0)
    { f.push_back(d); x = x/d; }
  }
  return f;
}

LL s(LL p, int k)
{ /// s = 1+p+p^2+p^3+...+p^k
  LL z = 1+p, y=p;
  for(int i=2; i<=k; i++)
  { y = y*p; z = z + y; }
  return z;
}

int main()
{ cin.sync_with_stdio(0);
  cin.tie(0); cout.tie(0);

  gen_primes(M);

  int n; cin >> n;

  LL x;
  while(cin >> x)
  { if(x==1) { cout << 1 << '\n'; continue; }

    vector<LL> f = prime_factors(x);

    LL sum=1;
    int i=0;
    for(int j=1; j<f.size(); j++)
      if(f[i]!=f[j])
      { ///   p   k
        LL p=f[i], k=j-i;
        sum = sum*s(p,k);
        i=j;
      }
    LL p=f[i], k=f.size()-i;
    sum = sum*s(p,k);

    cout << sum << '\n';
  }

  return 0;
}
